/service/reports/profile-report/{id}/

ProfileReport ViewSet.

POST /profile-report/ accepts either object or an array of objects
e.g. {profile_id: 1, report_id: 1}
OR [{profile_id: 1, report_id: 1}, {profile_id: 1, report_id: 2}, ... ]
Bulk actions can only be taken for single profile at a time.

Path Params
uuid
required

A UUID string identifying this profile report.

Body Params

Serializer for profile reports update requests.

This serializer allows updating of the status,

version, fail_notice_viewed and has_read fields.

uuid
required
uuid
required
integer
enum
required
  • 0 - processing
  • 1 - completed
  • -1 - failed
Allowed:
boolean
boolean
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json